Page MenuHomePhabricator

WikimediaUI Style Guide should include an elaborate section for Wikimedia icons on avoiding ambiguity
Closed, ResolvedPublic

Description

Creating icons are hard; interpreting icons can be just as hard. The guide should have an elaborate section that can satisfy both parties so that it's easy to design visual metaphors that can be quickly understand them in their user interface context. There are some basic guides that should be followed, such as:

  1. avoid culture-specific symbols. For example, a four leaf clover might resemble luck in some cultures, but outside that might not be understood.
  2. avoid abstract concepts, try to create concrete objects as icons instead.
  3. Sometimes icons will need labels with them to show the meaning. There should be some discussion on deciding when an icon will need a label :)
  4. There's also a section in the old WikiFont archive page that we can still apply, which is "Avoid concepts such as gestures, animals, religion, humor, ethnicity, and gender." The direction section can apply too.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2017, 11:19 PM
RHo added a subscriber: RHo.Jan 19 2017, 12:11 AM
SamanthaNguyen added a subscriber: Pginer-WMF.
Volker_E triaged this task as Normal priority.Jul 12 2017, 1:30 PM

@SamanthaNguyen The issues filed by you are largely fulfilled in the “principles” section of [[ file:///Users/veckl/htdocs/Wikimedia/WikimediaUI-Style-Guide/visual-style_icons.html | “Visual style – Icons” ]] of our style guide. We will also include instructions on when to add a label in the coming “Components” section of the guidelines.
Putting this on resolved.

Volker_E renamed this task from WikimediaUI Style Guide should include an elaborate section for OOUI Icons on avoiding ambiguity to WikimediaUI Style Guide should include an elaborate section for Wikimedia icons on avoiding ambiguity .Mar 14 2018, 9:38 PM
Volker_E moved this task from v1.1 (Goal) to Done on the Wikimedia Design Style Guide board.
Volker_E closed this task as Resolved.
Volker_E assigned this task to RHo.